Bug 1124739 - Unable to remove hosts in maintenance
Summary: Unable to remove hosts in maintenance
Keywords:
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: ovirt-engine
Classification: oVirt
Component: General
Version: ---
Hardware: x86_64
OS: Linux
medium
medium vote
Target Milestone: ovirt-3.6.0-rc
: ---
Assignee: Sahina Bose
QA Contact: Pavel Stehlik
URL:
Whiteboard: gluster
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-30 08:16 UTC by Netbulae
Modified: 2016-02-10 18:58 UTC (History)
12 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-10-28 11:51:02 UTC
oVirt Team: Gluster
ylavi: ovirt-3.6.0?
ylavi: planning_ack?
ylavi: devel_ack?
ylavi: testing_ack?


Attachments (Terms of Use)

Description Netbulae 2014-07-30 08:16:34 UTC
I have two 3.5beta2 nodes with glusterfs in my datacenter. Now I want to reinstall them but can't remove them:


    Error while executing action:

host1.example.com:

    Cannot remove Host. No up server found in Default.


2014-07-30 10:11:08,117 INFO  [org.ovirt.engine.core.bll.gluster.tasks.GlusterTasksService] (DefaultQuartzScheduler_Worker-88) [163f89bb] No up server in cluster

2014-07-30 10:11:08,118 ERROR [org.ovirt.engine.core.bll.gluster.GlusterTasksSyncJob] (DefaultQuartzScheduler_Worker-88) [163f89bb] Error updating tasks from CLI: org.ovirt.engine.core.common.errors.VdcBLLException: VdcBLLException: NO_UP_SERVER_FOUND (Failed with error NO_UP_SERVER_FOUND and code 7000)
	at org.ovirt.engine.core.bll.gluster.tasks.GlusterTasksService.getTaskListForCluster(GlusterTasksService.java:30) [bll.jar:]
	at org.ovirt.engine.core.bll.gluster.GlusterTasksSyncJob.updateGlusterAsyncTasks(GlusterTasksSyncJob.java:87) [bll.jar:]
	at sun.reflect.GeneratedMethodAccessor70.invoke(Unknown Source) [:1.7.0_65]
	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43) [rt.jar:1.7.0_65]
	at java.lang.reflect.Method.invoke(Method.java:606) [rt.jar:1.7.0_65]
	at org.ovirt.engine.core.utils.timer.JobWrapper.execute(JobWrapper.java:60) [scheduler.jar:]
	at org.quartz.core.JobRunShell.run(JobRunShell.java:213) [quartz.jar:]
	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:557) [quartz.jar:]

2014-07-30 10:11:37,316 INFO  [org.ovirt.engine.core.bll.RemoveVdsCommand] (ajp--127.0.0.1-8702-8) [4fab8f6f] Lock Acquired to object EngineLock [exclusiveLocks= key: 458acfea-0521-4a75-b993-4eb58f7f60bf value: VDS
, sharedLocks= ]
2014-07-30 10:11:37,407 WARN  [org.ovirt.engine.core.bll.RemoveVdsCommand] (ajp--127.0.0.1-8702-8) [4fab8f6f] CanDoAction of action RemoveVds failed. Reasons:VAR__ACTION__REMOVE,VAR__TYPE__HOST,$clusterName Default,ACTION_TYPE_FAILED_NO_UP_SERVER_FOUND
2014-07-30 10:11:37,407 INFO  [org.ovirt.engine.core.bll.RemoveVdsCommand] (ajp--127.0.0.1-8702-8) [4fab8f6f] Lock freed to object EngineLock [exclusiveLocks= key: 458acfea-0521-4a75-b993-4eb58f7f60bf value: VDS
, sharedLocks= ]
2014-07-30 10:12:08,122 INFO  [org.ovirt.engine.core.bll.gluster.tasks.GlusterTasksService] (DefaultQuartzScheduler_Worker-55) [724a010b] No up server in cluster
2014-07-30 10:12:08,122 ERROR [org.ovirt.engine.core.bll.gluster.GlusterTasksSyncJob] (DefaultQuartzScheduler_Worker-55) [724a010b] Error updating tasks from CLI: org.ovirt.engine.core.common.errors.VdcBLLException: VdcBLLException: NO_UP_SERVER_FOUND (Failed with error NO_UP_SERVER_FOUND and code 7000)
	at org.ovirt.engine.core.bll.gluster.tasks.GlusterTasksService.getTaskListForCluster(GlusterTasksService.java:30) [bll.jar:]
	at org.ovirt.engine.core.bll.gluster.GlusterTasksSyncJob.updateGlusterAsyncTasks(GlusterTasksSyncJob.java:87) [bll.jar:]
	at sun.reflect.GeneratedMethodAccessor70.invoke(Unknown Source) [:1.7.0_65]
	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43) [rt.jar:1.7.0_65]
	at java.lang.reflect.Method.invoke(Method.java:606) [rt.jar:1.7.0_65]
	at org.ovirt.engine.core.utils.timer.JobWrapper.execute(JobWrapper.java:60) [scheduler.jar:]
	at org.quartz.core.JobRunShell.run(JobRunShell.java:213) [quartz.jar:]
	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:557) [quartz.jar:]

Comment 1 Netbulae 2014-08-06 09:49:41 UTC
Just to add some more info, I also cannot add another host:

Operation Canceled
Error while executing action: Cannot add Host. There is no available server in the cluster to probe the new server.

Workaround:
Disable glusterfs service in Datacenter until at least one host is up

Comment 2 Doron Fediuck 2014-09-22 11:12:38 UTC
Moving to engine-core as this is not specific to the node.

Comment 3 Sahina Bose 2014-09-23 06:31:57 UTC
If you have more than 1 host in a cluster with "gluster service" enabled, when removing a host, the engine tries to detach the host from cluster by executing the "gluster peer detach" command - and for this, it needs an operational host.

You can work around this, by trying to remove a host using the "force" option and putting all the hosts to maintenance.

Please let us know if this works for you.

Comment 4 Sandro Bonazzola 2015-01-21 16:08:15 UTC
oVirt 3.5.1 has been released, re-targeting to 3.6.0 as not marked as urgent / high severity or priority

Comment 5 Red Hat Bugzilla Rules Engine 2015-10-19 10:49:28 UTC
Target release should be placed once a package build is known to fix a issue. Since this bug is not modified, the target version has been reset. Please use target milestone to plan a fix for a oVirt release.

Comment 6 Sandro Bonazzola 2015-10-26 12:37:15 UTC
this is an automated message. oVirt 3.6.0 RC3 has been released and GA is targeted to next week, Nov 4th 2015.
Please review this bug and if not a blocker, please postpone to a later release.
All bugs not postponed on GA release will be automatically re-targeted to

- 3.6.1 if severity >= high
- 4.0 if severity < high

Comment 7 Sahina Bose 2015-10-28 11:51:02 UTC
Closing this bug due to insufficient information. Please re-open once Comment 3 is answered and if there is still an issue.


Note You need to log in before you can comment on or make changes to this bug.